#include "CallMgr.h"
#include "Directory.h"
#include "ModuleMgr.h"
#include "Player.h"
#include "Printer.h"
#include "StreamMgr.h"

using namespace Blinker;

int main()
{
  Directory dirCfg("../example.cfg");

  CallMgr callMgr;
  StreamMgr streamMgr;

  ModuleMgr<Player> playerMgr(callMgr, streamMgr,
                              dirCfg.getSubdir("players"));
  ModuleMgr<Printer> printerMgr(callMgr, streamMgr,
                                dirCfg.getSubdir("printers"));

  callMgr.run();

  return 0;
}

